Bug 119885 - installer adds bad route, neat fixes
installer adds bad route, neat fixes
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-02 15:16 EST by Vernon Mauery
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-04 08:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vernon Mauery 2004-04-02 15:16:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Galeon/1.3.10

Description of problem:
Installing from the AS2.1 Update 4 beta 1 CDs, the network
configuration does not correctly save the settings we input.  We used
a static IP and put in a default route, but on reboot, `route -n` does
not list any default routes or gateways.  When we ran neat, it
correctly listed the settings we input at install time.  When we hit
the apply button, the network route settings were fixed and we had the
correct default gateway.

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.5-0.AS21.1

How reproducible:
Always

Steps to Reproduce:
1. install using a static IP setup
2. boot machine and network does not work (route -n has bogus routes)
3. run neat and hit apply without making changes to settings
4. network routes are fixed
    

Additional info:
Comment 1 Harald Hoyer 2004-04-05 04:37:44 EDT
then the installer maybe forgot some settings or stored them in an old
way?
Comment 2 Jeremy Katz 2004-04-05 18:08:59 EDT
Could you provide the "bogus" routes?  This area of anaconda hasn't
had changes in ages...
Comment 3 Jeremy Katz 2004-11-04 08:59:05 EST
Closing due to inactivity.  Please reopen this bug if you have further
information to add to the report.

Note You need to log in before you can comment on or make changes to this bug.